clang-tools 8.0.0

Classes | Public Member Functions | List of all members
clang::clangd::FuzzyMatcher Class Reference

`#include <FuzzyMatch.h>`

## Public Member Functions
| FuzzyMatcher (llvm::StringRef Pattern)
llvm::Optional< float > | match (llvm::StringRef Word)
llvm::StringRef | pattern () const
bool | empty () const
llvm::SmallString< 256 > | dumpLast (llvm::raw_ostream &) const

## Detailed Description

Definition at line 72 of file FuzzyMatch.h.

## Constructor & Destructor Documentation

## ◆ FuzzyMatcher()

clang::clangd::FuzzyMatcher::FuzzyMatcher | ( | llvm::StringRef | Pattern | ) |

Definition at line 77 of file FuzzyMatch.cpp.

References clang::clangd::AwfulScore, clang::clangd::calculateRoles(), and clang::clangd::lower().

## Member Function Documentation

## ◆ dumpLast()

llvm::SmallString< 256 > clang::clangd::FuzzyMatcher::dumpLast | ( | llvm::raw_ostream & | OS | ) | const

Definition at line 302 of file FuzzyMatch.cpp.

References clang::clangd::isAwful(), Result, and clang::clangd::Upper.

Referenced by empty().

## ◆ empty()

bool clang::clangd::FuzzyMatcher::empty | ( |  | ) | const
| inline

Definition at line 84 of file FuzzyMatch.h.

References dumpLast().

## ◆ match()

llvm::Optional< float > clang::clangd::FuzzyMatcher::match | ( | llvm::StringRef | Word | ) |

Definition at line 93 of file FuzzyMatch.cpp.

References clang::clangd::isAwful(), and clang::clangd::None.

## ◆ pattern()

llvm::StringRef clang::clangd::FuzzyMatcher::pattern | ( |  | ) | const
| inline

Definition at line 83 of file FuzzyMatch.h.

The documentation for this class was generated from the following files:

- FuzzyMatch.h
- FuzzyMatch.cpp